> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vistaly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update card parents

> Update a card's parent relationships by adding new parents and/or removing existing parents in a single atomic operation. This enables moving cards (remove old, add new) and multi-parent scenarios.



## OpenAPI

````yaml https://api.vistaly.com/v1/swagger.json put /beta/cards/{cardId}/parents
openapi: 3.1.0
info:
  contact:
    email: support@vistaly.com
    name: Vistaly Support Team
  description: >-
    Vistaly's public API for interacting with our platform, enabling developers
    to integrate with various features such as feedback, cards, and system
    health.
  termsOfService: https://vistaly.com/terms-of-service
  title: Vistaly API
  version: '2025-06-21'
servers:
  - description: Production server
    url: https://api.vistaly.com
security: []
tags:
  - description: System-related endpoints to interact with the overall service.
    name: system
  - description: >-
      Endpoints related to card management, including the creation and
      modification of card metrics and related data.
    externalDocs:
      description: Learn more about Cards
      url: https://docs.vistaly.com/en/card-types/overview
    name: cards
  - description: >-
      Endpoints for handling insights data, such as user feedback and interview
      records.
    externalDocs:
      description: Learn more about Insights
      url: https://docs.vistaly.com/en/insights/overview
    name: insights
paths:
  /beta/cards/{cardId}/parents:
    put:
      tags:
        - cards
      summary: Update card parents
      description: >-
        Update a card's parent relationships by adding new parents and/or
        removing existing parents in a single atomic operation. This enables
        moving cards (remove old, add new) and multi-parent scenarios.
      parameters:
        - description: The unique identifier for the card
          in: path
          name: cardId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCardParentsRequest'
      responses:
        '200':
          description: Card parents updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateCardParentsResponse'
        '400':
          description: Bad request
          content:
            application/json:
              example:
                message: Bad request
              schema:
                $ref: '#/components/schemas/MessageResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                message: Unauthorized
              schema:
                $ref: '#/components/schemas/MessageResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                message: Forbidden
              schema:
                $ref: '#/components/schemas/MessageResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                message: Internal server error
              schema:
                $ref: '#/components/schemas/MessageResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    UpdateCardParentsRequest:
      type: object
      properties:
        add:
          type: array
          description: Array of parents to add to the card
          items:
            type: object
            required:
              - parentId
              - parentType
            properties:
              parentId:
                type: string
                description: The ID of the parent to add
              parentType:
                type: string
                enum:
                  - card
                  - backlog
                description: The type of the parent
        remove:
          type: array
          description: Array of parents to remove from the card
          items:
            type: object
            required:
              - parentId
              - parentType
            properties:
              parentId:
                type: string
                description: The ID of the parent to remove
              parentType:
                type: string
                enum:
                  - card
                  - backlog
                description: The type of the parent
    UpdateCardParentsResponse:
      type: object
      required:
        - cardId
        - cardUrl
        - message
      properties:
        cardId:
          type: string
          description: The unique identifier for the card
        cardUrl:
          type: string
          description: The URL to view the card in Vistaly
        message:
          type: string
          description: Success message describing the operation
    MessageResponse:
      additionalProperties: false
      properties:
        message:
          example: System provided message
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````